TULISAN - Feature #3579

Invoice Refund
04/24/2025 11:48 AM - haykal haykal

Status: Closed Start date: 04/24/2025
Priority: Normal Due date: 04/28/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 8.00 hours
Description

Dear Shofwan,

Ingin dibuatkan Invoice untk Refund (Pengembalian Barang). Trigger utk Invoice ini kegenerate adalah ketika Customer Return
Order Submitted [Foto 1].

Untk referensi designnya seperti foto yg gw attach ini [Foto 2]. Sebenernya pake design Invoice kyk yg sekarang udh ada aja Wan,
cuma diatasnya ditambahin tulisan REFUNDED dan di bagian bawah ditambahin bagian untk Reason For Refund.

Sudah gua tambahin field ReasonForRefund di dokumen Sales Return (PTRSALESHEADER). Jadi nanti di CRMnya tolong
ditambahin tempat utk user mengisi Reason For Refund ketika melakukan Pengembalian Barang.

Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_Login
DB: MinovaES_Tulisan_Dev (di 89)

Terimakasih.

History

#1 - 04/24/2025 11:49 AM - Kezia Pawitra Yulianti
- Due date set to 04/28/2025

- Status changed from New to Assigned

#2 - 04/28/2025 05:06 PM - shofwan shiddiq

- File clipboard-202504281705-is7mp.png added

- File clipboard-202504281706-tupwl.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal, untuk customer refund sudah terkirim juga melalui email ke email customer ya
https://tulisan-ecommerce-dev.minovais.com/ECommerce_Login

Customer Return Submitted

Document Number: 00000655
REFUNDED

Darmawangsa Square Store, Jakarta
hello@tulisan.com | +62 21 7278 0235

TULISAN.COM
THIS IS A COPY

Transaction ID No 00000655

Personal Shopper : shofwan

Customer Name :Aaa

Date/Time 120250428 / 17:05
Shipping Address - JI. Kencana Raya No. 52

PRICE

Rp.400.000
(Rp.0)

4D soF mr 5:06 PM
& Partly sunny Q Search 1 4 4/28/2025
#3 - 04/28/2025 05:56 PM - haykal haykal
- File Tambah tulisan REFUND apabila dia transaksi refund.png added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Dear Shofwan,

Tolong agar Invoice Refund ini bisa diakses di page History juga ya. Dan kalau misalkan ini transaksi refund maka tolong di bagian atas dokumen
transaksinya diberi tulisan REFUND (seperti di foto yg gw attach)

Terimakasih.

#4 - 04/29/2025 10:46 AM - haykal haykal
- File Sales Refund Receipt.png added
- File THIS IS A COPY tidak perlu.png added

- File Reason for Refund belum sesuai.png added

Wan, gua udh ngecek Invoice Refund nya dari e-mail juga. Ada beberapa catatan ya...

1. Kalau bisa Subject (Judul) e-mailnya jangan Sales Order Receipt [Foto 1], tapi diganti menjadi Sales Refund Receipt

2. Untuk di Invoicenya tulisan THIS IS A COPY nya tidak perlu ada ya. [Foto 2]

3. Untuk yg di bagian Reason for Refund nya masih belum sesuai ya. ltu alasannya masih salah (tidak seperti yg gua isikan), dan tidak perlu ada
tanggal disitu. [Foto 3]

DocNo Sales Return: 00000658

Terimakasih.

#5 - 05/01/2025 11:38 AM - shofwan shiddiq
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Untuk total tax hitungan nya bagaimana? soalnya sebelum nya total tax yg hitung di API12. dari CRM belum pernah memasukan nilai total Tax. kalau
memang dihitung dari front-end berapakah angka nya dari dokumen yang dicontohkan? atau rumus nya darimana?

#6 - 05/02/2025 05:57 PM - haykal haykal
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Ada di redmine #3577 ya perhitungannya.

#7 - 05/05/2025 04:53 PM - shofwan shiddiq

- File clipboard-202505051651-75d2e.png added
- File clipboard-202505051653-cwfOw.png added
- File clipboard-202505051653-f4znr.png added
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal
0001
Darmawangsa Square Store, Jakarta
hello@tulisan.com | +62 21 7278 0235

TULISAN.COM

Transaction ID No : 00000680
Personal Shopper : shofwan
Customer Name ‘Aaa

Date/Time 20250505/ 16:50
Shipping Address -

ary ITEM PRICE

1 BIED0OT-SN-S Rp.600.000

SUBTOTAL Rp.600.000
DISCOUNT (Rp.0)
SHIPPING & DELIVERY Rp.0

TOTAL Rp.600.000

CASHLESS PAYMENT Rp.600.000

Reason for Refund

Kurang cocok barang nya Rp.600.000

4:50 PM
5/5/2025

=! Q Search o & L 5 gt 2 ) @

Dear Haykal, sudah di update ya sesuai request

- Menghapus this is a copy

- Menghapus tanggal, dan menambahkan alasan reason for refund sesuai data yg diisi di database
- Mengubah header email menjadi Sales Refund Receipt

Darmawangsa Square Store, Jakarta
hello@tulisan.com | +62 21 7278 0235

TULISAN.COM

Transaction 1D No - 00000680
Personal Shopper : shofwan
Customer Name :Aaa

Date/Time 1 20250505 / 16:50
Shipping Address -

qQTy ITEM PRICE

1 BIED0OT-SN-S Rp.600.000
SUBTOTAL Rp.600.000
DISCOUNT (Rp.0)
SHIPPING & DELIVERY Rp.0
. ________________________________________________________________________________}
TOTAL Rp.600.000
.|
CASHLESS PAYMENT Rp.600.000

Reason for Refund

Kurang cocok barang nya Rp.600.000
#8 - 05/06/2025 02:39 PM - haykal haykal
- Status changed from QA Test to Assigned
- Assignee changed from haykal haykal to shofwan shiddiq

Udh ok Wan utk Invoice Refund yg gw cek di e-mail.

Paling tinggal yg Notes #3 ya yg gua minta agar si Invoice Refundnya bisa diakses juga di page History.
Terimakasih.

#9 - 05/07/2025 11:17 AM - shofwan shiddiq

- File clipboard-202505071115-cxdpd.png added

- File clipboard-202505071116-yirvj.png added

- Status changed from Assigned to QA Test
- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal, dokumen refund juga sudah bisa di download melalui menu Order History ya. Untuk dokumen refund tertera tulisan diatasnya
REFUNDED dan di struknya tulisan REFUNDED
Pembayaran Berhasil

Doc No 00000683
Doc Type: Sales Return
Date: 5 Mei 2025
Deliver to: Ben

Batch ID: B-25050501

"

Total Harga: =Rp 1.900.000,00

Download )
Detail

Refund

L.

‘7?.-/;';(”; ) Pembayaran Berhasil

Doc No 00000682

Doc Type: Sales Order
Date: 5 Mei 2025
Deliver to: Ben
Batch ID: B-25050501

Total Harga: Rp 726.500,00

Detail

-
Download
Struk

-”ﬁ,/ﬁ,,u 20 Pembayaran Berhasil

/\ Doc No 00000681

Doc Tvpe: Sales Qrder
Download PDF

REFUNDED
‘ Z@téﬁﬂarfzp
Toko DS

0001

Darmawangsa Square Store, Jakarta
hello@tulisan.com | +62 21 7278 0235

TULISAN.COM
Transaction |ID No : 00000687
Personal Shopper : shofwan
Customer Name : Ben
Date/Time : 20250505 / 18:46
Shipping Address : JI. Mobilitas No. 62
. ___________________________________________________________________|
Qry ITEM PRICE
1 GBO0003-Y-5 Rp.850.000
AM:E\-BUNDLING-S (Rp.127.500)
(15%)
SUBTOTAL Rp.846.000
DISCOUNT (Rp.127.500)
SHIPPING & DELIVERY Rp.4.000
TOTAL Rp.722.500

Package
ViewModels/ECommerce_OrderHistory.js
ECommerce_RefundFrame.html
Refund.html

#10 - 05/07/2025 01:25 PM - haykal haykal

- File Diganti menjadi Download Struk Refund.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Dear Shofwan, ada perbaikan sedikit ya.

Untk yg tulisan Download Refund itu tlg diganti menjadi 'Downlad Struk Refund'

Terimakasih.

#11 - 05/07/2025 01:47 PM - shofwan shiddiq
- File clipboard-202505071347-3I5av.png added
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal
Doc No 00000687
/‘\ Doc Type: Sales Return

Date: 5 Mei 2025

Deliver to: Ben

Batch ID: B-25050501

Total Harga: Rp 722.500,00
#12 - 05/07/2025 02:00 PM - haykal haykal

- Status changed from QA Test to Closed

Files

Customer Return Submitted.png 35.8 KB 04/24/2025 haykal haykal
Contoh Invoice Refund.png 487 KB 04/24/2025 haykal haykal
clipboard-202504281705-is7mp.png 71.8 KB 04/28/2025 shofwan shiddiq
clipboard-202504281706-tupwl.png 242 KB 04/28/2025 shofwan shiddiq
Tambah tulisan REFUND apabila dia transaksi refund.png 56.6 KB 04/28/2025 haykal haykal
Sales Refund Receipt.png 12.1 KB 04/29/2025 haykal haykal
THIS IS A COPY tidak perlu.png 22.8 KB 04/29/2025 haykal haykal
Reason for Refund belum sesuai.png 3.87 KB 04/29/2025 haykal haykal
clipboard-202505051651-75d2e.png 246 KB 05/05/2025 shofwan shiddiq
clipboard-202505051653-cwfOw.png 99.3 KB 05/05/2025 shofwan shiddiq
clipboard-202505051653-f4znr.png 54.6 KB 05/05/2025 shofwan shiddiq
clipboard-202505071115-cxdpd.png 105 KB 05/07/2025 shofwan shiddiq
clipboard-202505071116-yirvj.png 62.5 KB 05/07/2025 shofwan shiddiq
Diganti menjadi Download Struk Refund.png 46.3 KB 05/07/2025 haykal haykal
clipboard-202505071347-3I5av.png 205 KB 05/07/2025 shofwan shiddiq
